Subject: Re: @unspecified-domain

From: Ed Greshko <[email-masked]>
Date: Thu, 17 Jul 1997 08:16:34 +0800

> 
> 
> > Seen it?  No, all of my systems are configured properly.  :-) :-)
> 
>       Since I just started working here a few months back, and am
> still wading through various "interesting features" left by my 
> predecessor...I still learning what is and isn't configured properly...

Well, at least you have someone else to blame.  :-) :-)

> > I suspect your system may not be properly setup to return a domainname.
> > Take a look in your /etc/hosts file.  Does the host name appear in the
> > table before the FQDN?  Like this:
> > 
> > xx.xx.xx.xx foo foo.bar.com
> > 
> > If so, try setting it to:
> > 
> > xx.xx.xx.xx foo.bar.com foo
> > 
> > which is what it should be anyway.
> 
>       Good suggestion, but the end result, I fear, wouldn't be what 
> I need :(

OK....but please do make the changes as this format is a "good idea".
 
>       See, the problem is that I have a network of something like 5k
> computers (mostly notebooks) that is now configured to read mail and
> send mail through one central mail server.  Probably a good 75% of
> the mail readers used happens to be Pegasus.
> 
>       Now, if I send email from pine, there is no problem, since pine
> will (and does) automatically add the domain (@acadiau.ca) to any address
> that I just type the local userid for...that is, on outbound email.  But,
> Pegasus doesn't do this, which, for my purposes, I can live with...
> 
>       What I would like is that if pine displays a message with a header
> like:
> 
> To: unixsys,[email-masked]
> 
>       It leaves it like that, instead of:
> 
> To: unixsys@unspecified-domain,[email-masked]
> 
>       Which would solve my problem.

Ahh....now I understand.  I've been a little slow these days....
 
>       *If*, by your explanation, my system were "properly configured",
> I believe you are suggesting that pine should give me:
> 
> To: [email-masked],[email-masked]

Mmmmm....not really.  What I was thinking was the if pine were configured the 
way I mentioned that is what would happen.  But, when I was saying "system" I
was thinking bigger picture than pine alone.

Please read on.

>       As iceberg.acadiau.ca is the system that I'm running my pine
> session from...except that there is no user named unixsys on iceberg,
> and the domain should be set to @acadiau.ca, if anything...
> 
>       Not sure if that makes much more sense then my original...

I'm awake now....if that's any better.
 
> > Also, you may be able to work around your problem by looking into the
> > "user-doamin" in the setup/config and setting that in the system-wide
> > pine config file.  
> 
>       Good thought, tried that...it does set the outgoing @acadiau.ca,
> but doesn't seem to handle the inbound stuff... :(

OK.

Now, are you ready for the *real* solution?

You've stated that on system iceberg.acadiau.ca you could get an email from 
someone on a different system with a name of unixsys.  However, when it 
arrives it arrives as "unixsys".  You've said pine will create/display it as 
"unixsys@unspecified-domain" and thus it is not repliable.

You would like pine to leave it as "unixsys" or "maybe" make it 
"[email-masked]".  However, either of these may also be not repliable.

What *really* needs to be done is to fix your sendmail configuration.  I 
suspect you may be using the stock sendmail.cf supplied with your Solaris box, 
which, IMHO, is a bad idea.  You sendmail should be configured such that it 
tacks on the FQDN to *all* underspecified addresses.  So, the sendmail which 
first received the mail with "unixsys" should have rewritten it to be 
something like "[email-masked]" *or* "[email-masked]" iff you are 
using "universal" addressing.  

Compare my headers with your headers:

In-Reply-To: <[email-masked]>
Message-ID: <Pine.SOL.3.96.970716201020.332Q-100000@iceberg>

Notice that when pine created your Message-ID it was not aware of any 
domainname.  This *is* a problem with your system configuration.  I'm not in a 
possition to test since I don't have an available system I can mis-configure
but doing the "hosts" trick or setting defaultdomain may help.

All in All, you need to fix the problems with your MTA and system.  You should 
not try to cover them up by dinking with pine.

Regards,

Ed

-- 
Edward M. Greshko                  Technical Manager, Electronic Commerce
Voice: +886-2-715-2222 x287        Control Data Asia/Pacific Region
FAX  : +886-2-712-9197             6/F, 131 Nanking East Road, Section 3
email: [email-masked]           Taipei, Taiwan R.O.C